Subject: Re: [Gen-art] Genart last call review of draft-ietf-mpls-sr-over-ip-02

From: Alissa Cooper <[email-masked]>
Date: Wed, 13 Mar 2019 11:18:01 -0400

Robert, thank you for your review. Adrian, thank you for your responses. I entered a No Objection ballot.

Alissa

> On Feb 26, 2019, at 10:11 AM, Adrian Farrel <[email-masked]> wrote:
> 
> Hey Robert,
> 
> Some detailed responses.
> 
> The revision will be posted when the authors have signed off.
> 
> Regards,
> Adrian
> 
>> The 2nd sentence of the introduction is complex. It should
>> be easy to simplify.
> 
> Done
> 
>> It would help to place the reference to draft-ietf-mpls-spring-entropy
>> label at "If encoding of entropy is desired". (Or if some other reference
>> is better, use that)
> 
> Used RFC 6790.
> 
>> In that same paragraph, something is wrong at "make use of entropy
>> label mechanism." Should that be "the entropy label mechanism"?
> 
> Yes. I have done some gardening.
> 
>> SRGB is used without expansion.
> 
> Fixed.
> 
>> Where is "the lower bound" of an SRGB defined? The string "lower bound"
>> doesn't occur in either of the routing-extensions drafts referenced where
>> SRGB is first used.
> 
> The concept of an SRGB is defined in RFC 8402. I've added a reference to this at the first use of 'SRGB'.
> 
>> Section 3.1 is about ostensibly about constructing a FIB entry, but its
>> last step is sending a packet.
> 
> Yes. Overly enthusiastic engineers! 😊
> I have jiggled the text so that the last couple of points are about how the FIB is used.
> 
>> The first sentence in section 3.2 is more complex than it needs to be. It
>> should be easy to simplify.
> 
> OK
> 
>> It would be nice if you could make the differences between the routers in
>> figures 3 and 4 visually apparent rather than relying on text to explain the
>> difference. Something like (view in a fixed width font):
> 
> We looked at this, but decided against. If we adopt some kind of notation, we will still need to explain it in the text, and the explanation will only complicate things.
> 
>> At the first paragraph on page 9: s/and then process/and then processes/
> 
> Yes
> 
> _______________________________________________
> Gen-art mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/gen-art